# Uses of Class
org.eclipse.birt.report.model.api.olap.LevelHandle

Packages that use LevelHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of LevelHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return LevelHandle
Modifier and Type
Method
Description
`final LevelHandle`
ModuleHandleImpl.`findLevel(String name)`
Finds a cube element by name in this module and the included modules.
`LevelHandle`
DimensionJoinConditionHandle.`getLevel()`
Gets the referred level element handle of this condition.
`LevelHandle`
MemberValueHandle.`getLevel()`
Gets the cube level handle for this member value.
Methods in org.eclipse.birt.report.model.api with parameters of type LevelHandle
Modifier and Type
Method
Description
`void`
DimensionJoinConditionHandle.`setLevel(LevelHandle levelHandle)`
Sets the referred level by the handle.
`void`
MemberValueHandle.`setLevel(LevelHandle levelHandle)`
Sets the referred level of this member value.

## Uses of LevelHandle in org.eclipse.birt.report.model.api.olap

Subclasses of LevelHandle in org.eclipse.birt.report.model.api.olap
Modifier and Type
Class
Description
`class`
`OdaLevelHandle`
Represents a level element.
`class`
`TabularLevelHandle`
Represents a level element.
Methods in org.eclipse.birt.report.model.api.olap that return LevelHandle
Modifier and Type
Method
Description
`LevelHandle`
HierarchyHandle.`getLevel(int index)`
Gets the level handle at the specified position within this hierarchy.
`LevelHandle`
HierarchyHandle.`getLevel(String levelName)`
Gets the level handle by the name within this hierarchy.